library(dplyr)
library(plm)
library(corrplot)

data <- read.csv("C:/Users/yimin/Desktop/covidnnn/UStotal.csv")
summary(data)


data$Growthrate <- data$Growthrate*100


data$lagwork <- lag(data$workplaces,7)
data$lagres <- lag(data$residential,7)
data$lagpark <- lag(data$parks,7)
data$lagret <- lag(data$retail,7)
data$lagtran <- lag(data$transitstations,7)
data$laggro <- lag(data$grocery,7)
data$lagdrive <- lag(data$Driving,7)
data$lagtransit <- lag(data$Transit,7)
data$lagwalk <- lag(data$Walking,7)

data$lag1 <- lag(data$percentage1,7) * 100
data$lag13 <- lag(data$percentage13,7) * 100
data$lag35 <- lag(data$percentage35,7) * 100
data$lag510 <- lag(data$percentage510,7) * 100
data$lag1025 <- lag(data$percentage1025,7) * 100
data$lag2550 <- lag(data$percentage2550,7) * 100
data$lag50100 <- lag(data$percentage50100,7) * 100
data$lag100250 <- lag(data$percentage100250,7) * 100
data$lag250500 <- lag(data$percentage250500,7) * 100
data$lag500 <- lag(data$percentage500,7) * 100


datasub <- head(data,92)

 #location
regretail <- lm(Growthrate ~lagret, data=data)
summary(regretail)


regretail1 <- lm(Growthrate ~lagret, data=datasub)
summary(regretail1)



reggro <- lm(Growthrate ~laggro, data=data)
summary(reggro)
reggro1 <- lm(Growthrate ~laggro, data=datasub)
summary(reggro1)

regpark <- lm(Growthrate ~lagpark, data=data)
summary(regpark)
regpark1 <- lm(Growthrate ~lagpark, data=datasub)
summary(regpark1)

regtrant <- lm(Growthrate ~lagtran, data=data)
summary(regtrant)
regtrant1 <- lm(Growthrate ~lagtran, data=datasub)
summary(regtrant1)

regwork <- lm(Growthrate ~lagwork, data=data)
summary(regwork)
regwork1 <- lm(Growthrate ~lagwork, data=datasub)
summary(regwork1)

regresi<- lm(Growthrate ~lagres, data=data)
summary(regresi)
regresi1 <- lm(Growthrate ~lagres, data=datasub)
summary(regresi1)

#transportation type

regdri<- lm(Growthrate ~lagdrive, data=data)
summary(regdri)
regdri1 <- lm(Growthrate ~lagdrive, data=datasub)
summary(regdri1)

regwalk<- lm(Growthrate ~lagwalk, data=data)
summary(regwalk)
regwalk1 <- lm(Growthrate ~lagwalk, data=datasub)
summary(regwalk1)

regTransit<- lm(Growthrate ~lagtransit, data=data)
summary(regTransit)
regTransit1 <- lm(Growthrate ~lagtransit, data=datasub)
summary(regTransit1)







#corrplot
mydata <- data[, c(4,5,6,7,8,9)]

M<-cor(mydata)
head(round(M,2))
corrplot(M, method="circle")

reg7 <- lm(Growthrate ~lagpark+lagwork, data = data)
summary(reg7)

#panel data


paneldata1 <- read.csv("C:/Users/yimin/Desktop/covidnnn/all-states-history.csv")
paneldata2 <- read.csv("C:/Users/yimin/Desktop/covidnnn/Trips_by_Distance_State.csv")

paneldata2 <- 
  paneldata2 %>%
  group_by(State) %>%
  mutate(lagpop = dplyr::lag(Percentagehome, n = 7, default = NA))

panelmerge <- merge(paneldata1 , paneldata2, by="DateState", all=TRUE) 



panelmerge$Date <- as.Date(panelmerge$Date, format = "%m/%d/%Y")

qqplot(panelmerge$lagpop,panelmerge$Growthrate)


#simple regression
simplereg <- lm(Growthrate ~lagpop, data=panelmerge)
summary(simplereg)


panelmerge <- panelmerge[!is.na(panelmerge$Growthrate),]
panelmerge <- panelmerge[!is.na(panelmerge$lagpop),]

regfix <-lm(Growthrate ~ lagpop + factor(State.x) - 1, data=panelmerge)
summary(regfix)


within <- plm(Growthrate ~ lagpop,data=panelmerge, index=c("State.x", "Date"), model="within")
summary(within)

fixef(within)

random <- plm(Growthrate ~ lagpop,data=panelmerge, index=c("State.x", "Date"), model="random")
summary(random)


phtest(within, random)

